> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client contact

> Update an existing client contact. All fields are optional - only provided fields will be updated.



## OpenAPI

````yaml /openapi-private.json patch /clients/contacts/{id}
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /clients/contacts/{id}:
    patch:
      tags:
        - Client Contacts
      summary: Update client contact
      description: >-
        Update an existing client contact. All fields are optional - only
        provided fields will be updated.
      operationId: updateClientContact
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateClientContactDto'
      responses:
        '204':
          description: Client contact updated successfully
        '400':
          description: Bad request - validation failed
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionBaseDto'
                  - type: object
                    properties:
                      statusCode:
                        type: number
                        example: 400
                      message:
                        type: string
                        example: ONLY_ONE_PRIMARY_EMAIL_ALLOWED
                      error:
                        type: string
                        example: Bad Request
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Client contact not found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionBaseDto'
                  - type: object
                    properties:
                      statusCode:
                        type: number
                        example: 404
                      message:
                        type: string
                        example: Client contact not found
                      error:
                        type: string
                        example: Not Found
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    UpdateClientContactDto:
      type: object
      properties:
        role:
          description: Role of the client contact
          anyOf:
            - type: string
            - type: 'null'
        department:
          description: Department of the client contact
          anyOf:
            - type: string
            - type: 'null'
        firstName:
          description: First name of the client contact
          type: string
          minLength: 1
          maxLength: 100
          pattern: ^(?=.*\p{L})[\p{L}\p{M} '’.-]+$
        lastName:
          description: Last name of the client contact
          type: string
          minLength: 1
          maxLength: 100
          pattern: ^(?=.*\p{L})[\p{L}\p{M} '’.-]+$
        emails:
          description: Email addresses of the client contact
          type: array
          items:
            $ref: '#/components/schemas/UpdateClientContactEmailDto'
        phoneNumbers:
          description: Phone numbers of the client contact
          type: array
          items:
            $ref: '#/components/schemas/UpdateClientContactPhoneNumberDto'
        mainContactId:
          description: ID of the main contact (user) for this client contact
          type: string
        stageId:
          description: ID of the pipeline stage
          type: string
        startDate:
          $ref: '#/components/schemas/DateISO'
          description: Start date of the client contact
        endDate:
          description: End date of the client contact
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      id: PrivateUpdateClientContactDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    UpdateClientContactEmailDto:
      type: object
      properties:
        email:
          type: string
          format: email
          pattern: >-
            ^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$
          description: Email address
        purpose:
          anyOf:
            - type: string
              enum:
                - personal
                - work
            - type: 'null'
          description: Purpose of the email address
        isPrimary:
          description: Whether this is the primary email address
          type: boolean
      required:
        - email
        - purpose
      id: PrivateUpdateClientContactEmailDto
    UpdateClientContactPhoneNumberDto:
      type: object
      properties:
        phoneNumber:
          description: Phone number in E.164 format
          type: string
        purpose:
          anyOf:
            - type: string
              enum:
                - personal
                - work
            - type: 'null'
          description: Purpose of the phone number
        isPrimary:
          description: Whether this is the primary phone number
          type: boolean
      required:
        - phoneNumber
        - purpose
      id: PrivateUpdateClientContactPhoneNumberDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````